## org.eclipse.emf.edit.provider
Interface IChildCreationExtender.Descriptor.Registry

All Known Implementing Classes:
  IChildCreationExtender.Descriptor.Registry.Impl

Enclosing interface:
  IChildCreationExtender.Descriptor

    public static interface IChildCreationExtender.Descriptor.Registry

A registry is an index that takes a namespace and maps it to a collection of `descriptor`s.

Nested Class Summary
`static class` `IChildCreationExtender.Descriptor.Registry.Impl` A simple registry implementation that supports delegation.

Field Summary
`static IChildCreationExtender.Descriptor.Registry` `INSTANCE` The global registry typically populated by plugin registration.

Method Summary
`java.util.Collection<IChildCreationExtender.Descriptor>` `getDescriptors(java.lang.String namespace)` Returns collection of descriptors that can create a child creation extenders.

Field Detail

### INSTANCE

    static final IChildCreationExtender.Descriptor.Registry INSTANCE

  The global registry typically populated by plugin registration.

Method Detail

### getDescriptors

    java.util.Collection<IChildCreationExtender.Descriptor> getDescriptors(java.lang.String namespace)

  Returns collection of descriptors that can create a child creation extenders.

  Parameters:
    `namespace` - a key which will typically be the namespace of the package for which to create child creation extenders.
  Returns:
    a collection of descriptors that can create a child creation extender.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.